/* Temporary version of sp_server_info, to be used by dblib during setup */
/* Actual version installed later through instcat.sql			 */

if (exists (select * from sysobjects
		where name = 'sp_server_info' and sysstat & 7 = 4))
    drop proc sp_server_info
go

create proc sp_server_info (
			@attribute_id  int = null)
as
select attribute_id=18,attribute_name="COLLATION_SEQ",
	 attribute_value="charset="+t2.name+" sort_order="+t1.name
         +" charset_num="+rtrim(convert(char(4),t1.csid))+
         " sort_order_num="+rtrim(convert(char(4),t1.id))
     from syscharsets t1, syscharsets t2, sysconfigures t3
     where t1.csid=t2.id and t1.id=t3.value and t3.config=123
go

grant execute on sp_server_info to public
go
